Mandriva Linux Security Advisory : opensc (MDVSA-2008:183)

Medium Nessus Plugin ID 37949


The remote Mandriva Linux host is missing one or more security updates.


Chaskiel M Grundman found that OpenSC would initialize smart cards with the Siemens CardOS M4 card operating system without proper access rights. This allowed everyone to change the card's PIN without first having the PIN or PUK, or the superuser's PIN or PUK (CVE-2008-2235).

Please note that this issue can not be used to discover the PIN on a card. If the PIN on a card is the same that was always there, it is unlikely that this vulnerability has been exploited. As well, this issue only affects smart cards and USB crypto tokens based on Siemens CardOS M4, and then only those devices that were initialized by OpenSC. Users of other smart cards or USB crypto tokens, or cards that were not initialized by OpenSC, are not affected.

After applying the update, executing 'pkcs15-tool -T' will indicate whether the card is fine or vulnerable. If the card is vulnerable, the security settings need to be updated by executing 'pkcs15-tool -T -U'.

The updated packages have been patched to prevent this issue.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 37949

File Name: mandriva_MDVSA-2008-183.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2009/04/23

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.9

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:C/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64opensc-devel, p-cpe:/a:mandriva:linux:lib64opensc2, p-cpe:/a:mandriva:linux:lib64opensc2-devel, p-cpe:/a:mandriva:linux:libopensc-devel, p-cpe:/a:mandriva:linux:libopensc2, p-cpe:/a:mandriva:linux:libopensc2-devel, p-cpe:/a:mandriva:linux:mozilla-plugin-opensc, p-cpe:/a:mandriva:linux:opensc, cpe:/o:mandriva:linux:2007.1, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2008.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2008/09/02

Reference Information

CVE: CVE-2008-2235

MDVSA: 2008:183

CWE: 310